Team Management
Assign a team role
POST
Assign a team role
Authorizations
Path Parameters
Response
Role assigned
Available options:
team Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.superserve.ai/teams/{team_id}/roles \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>"
}
'{
"assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role_name": "<string>",
"scope_type": "team",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"granted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_at": "2023-11-07T05:31:56Z"
}Role assigned
team curl --request POST \
--url https://api.superserve.ai/teams/{team_id}/roles \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role_name": "<string>"
}
'{
"assignment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"role_name": "<string>",
"scope_type": "team",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"granted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"granted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revoked_at": "2023-11-07T05:31:56Z"
}